// TimeTicker.h

#ifndef _TIMETICKER_h
#define _TIMETICKER_h

#if defined(ARDUINO) && ARDUINO >= 100
	#include "arduino.h"
#else
	#include "WProgram.h"
#endif

#include "TimeLib.h"



class TimeTickerClass
{
private:
	uint8_t   _Hour;
	uint8_t   _Min;
	uint8_t   _Sec;

	uint8_t   _Day;
	uint8_t   _Month;
	uint8_t   _Year;

	uint8_t   _WDay;

public:

void GetTime(uint8_t &Hour, uint8_t &Min, uint8_t &Sec);
Time_s GetStructTime();

void SetTime(uint8_t Hour, uint8_t Min, uint8_t Sec);
Time_s NewTicker();
};

extern TimeTickerClass TimeTicker;

#endif

